# Uses of Class
org.springframework.cache.interceptor.CacheOperation.Builder

Packages that use CacheOperation.Builder
Package
Description
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.

## Uses of CacheOperation.Builder in org.springframework.cache.interceptor

Subclasses of CacheOperation.Builder in org.springframework.cache.interceptor
Modifier and Type
Class
Description
`static class`
`CacheableOperation.Builder`
A builder that can be used to create a `CacheableOperation`.
`static class`
`CacheEvictOperation.Builder`
A builder that can be used to create a `CacheEvictOperation`.
`static class`
`CachePutOperation.Builder`
A builder that can be used to create a `CachePutOperation`.
Constructors in org.springframework.cache.interceptor with parameters of type CacheOperation.Builder
Modifier
Constructor
Description
`protected`
`CacheOperation(CacheOperation.Builder b)`
Create a new `CacheOperation` instance from the given builder.